/*-----------------------------------------------------------------------
 t5.c - test fossil program.
------------------------------------------------------------------------*/
#include <stdio.h>
#include <conio.h>
#include <string.h>
#include <dos.h>

typedef unsigned char  BYTE;
typedef unsigned short WORD;
typedef unsigned long DWORD;
typedef int BOOL;

#include "fu.c"

#define CTRL_XONXOFF 9
#define CTRL_RTSCTS  2
#define COMPORT      3
#define PORT         (COMPORT-1)

void main(void)
{
 int c, wc;
 int cnt;
 char *Msg="The quick brown fox jumps over the lazy dogs back\r\n";

  if (FOSSinit(PORT) != 0x1954)
  {
    puts("Port Failed Fossil Init");
    exit(1);
  }
  FOSSbaud(PORT, 0x23);  // 38400,N,8,1
  FOSSflowCtrl(PORT, 0);
//  FOSSflowCtrl(PORT, CTRL_RTSCTS);
//  FOSSflowCtrl(PORT, CTRL_XONXOFF);

  while (1)
  {
    wc = 0;
    cnt = strlen(Msg);
    while ((wc < cnt) && (!kbhit()))
      wc += FOSSwriteblk(PORT, (cnt-wc), &Msg[wc]);

    if (FOSSstatus(4) & 0x100)
    {
      c= FOSSgetc(4);
      putchar(c);
    }

    printf("wc= %d\n",wc);
    if (kbhit())
    {
      c = getch();
      if (c == 0x1b) break;
    }
#ifdef COMMENT_OUT
    getchar();     
#endif
  }
}
